/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Fixed Declaration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.methodname.methodName.FixedDeclaration#getKind <em>Kind</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.FixedDeclaration#getPath <em>Path</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getFixedDeclaration()
 * @model
 * @generated
 */
public interface FixedDeclaration extends EObject
{
  /**
   * Returns the value of the '<em><b>Kind</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.Kind}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kind</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Kind
   * @see #setKind(Kind)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getFixedDeclaration_Kind()
   * @model
   * @generated
   */
  Kind getKind();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.FixedDeclaration#getKind <em>Kind</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kind</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Kind
   * @see #getKind()
   * @generated
   */
  void setKind(Kind value);

  /**
   * Returns the value of the '<em><b>Path</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Path</em>' attribute.
   * @see #setPath(String)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getFixedDeclaration_Path()
   * @model
   * @generated
   */
  String getPath();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.FixedDeclaration#getPath <em>Path</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Path</em>' attribute.
   * @see #getPath()
   * @generated
   */
  void setPath(String value);

} // FixedDeclaration
